# FoundationClasses
TKAdvTools
Dynamic

# Dynamic_FuzzyDefinition Class Reference

It is the class useful for setting a particular
definition of an object. This definition is
caracterized by a collection of parameters. Each
parameter is identified by its name, the type of
its referenced value and if necessary a default
value.
.

`#include <Dynamic_FuzzyDefinition.hxx>`

Inheritance diagram for Dynamic_FuzzyDefinition:

[legend]

## Public Member Functions

Standard_EXPORT | Dynamic_FuzzyDefinition (const Standard_CString aname)
| Creates a FuzzyDefinition with <aname> as type. .
virtual Standard_EXPORT TCollection_AsciiString | Type () const
| Returns the type of object. .
virtual Standard_EXPORT void | Dump (Standard_OStream &astream) const
| Useful for debugging. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_TCollection_HAsciiString | thename

## Constructor & Destructor Documentation

Standard_EXPORT Dynamic_FuzzyDefinition::Dynamic_FuzzyDefinition | ( | const Standard_CString | aname | ) |

## Member Function Documentation

virtual Standard_EXPORT void Dynamic_FuzzyDefinition::Dump | ( | Standard_OStream & | astream | ) | const`[virtual]`

| Reimplemented from Dynamic_FuzzyClass.

Standard_EXPORT const Dynamic_FuzzyDefinition::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Dynamic_FuzzyClass.

virtual Standard_EXPORT TCollection_AsciiString Dynamic_FuzzyDefinition::Type | ( |  | ) | const`[virtual]`

| Implements Dynamic_FuzzyClass.

## Field Documentation

Handle_TCollection_HAsciiString Dynamic_FuzzyDefinition::thename `[private]`

The documentation for this class was generated from the following file:

- Dynamic_FuzzyDefinition.hxx